XnModuleCodecInterface Struct Reference

`#include <XnModuleInterface.h>`

## Public Attributes

XnModuleProductionNodeInterface * | pProductionNode
XnCodecID(* | GetCodecID )(XnModuleNodeHandle hCodec)
XnStatus(* | Init )(XnModuleNodeHandle hCodec, XnNodeHandle hNode)
XnStatus(* | CompressData )(XnModuleNodeHandle hCodec, const void *pSrc, XnUInt32 nSrcSize, void *pDst, XnUInt32 nDstSize, XnUInt *pnBytesWritten)
XnStatus(* | DecompressData )(XnModuleNodeHandle hCodec, const void *pSrc, XnUInt32 nSrcSize, void *pDst, XnUInt32 nDstSize, XnUInt *pnBytesWritten)

## Member Data Documentation

## CompressData

XnStatus(* XnModuleCodecInterface::CompressData) (XnModuleNodeHandle hCodec, const void *pSrc, XnUInt32 nSrcSize, void *pDst, XnUInt32 nDstSize, XnUInt *pnBytesWritten)

## DecompressData

XnStatus(* XnModuleCodecInterface::DecompressData) (XnModuleNodeHandle hCodec, const void *pSrc, XnUInt32 nSrcSize, void *pDst, XnUInt32 nDstSize, XnUInt *pnBytesWritten)

## GetCodecID

XnCodecID(* XnModuleCodecInterface::GetCodecID) (XnModuleNodeHandle hCodec)

## Init

XnStatus(* XnModuleCodecInterface::Init) (XnModuleNodeHandle hCodec, XnNodeHandle hNode)

## pProductionNode

XnModuleProductionNodeInterface* XnModuleCodecInterface::pProductionNode

The documentation for this struct was generated from the following file:

- XnModuleInterface.h